#include <iostream>
using namespace std;
int main()
{
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)    cin>>a[i];
    int uredu=1;
    for(int i=0;i<n-1;i++)
    {
        if(a[i]<a[i+1]){uredu=0;continue;}
    }
    if(uredu&&n>9);
    else if(uredu&&n<=9)
    {
        int c=0;
        for(int i=0;i<n-1;i++)
        {
            if(a[i]==a[i+1])    {c=1;break;}
        }
        if(!c)
        {
            int t=a[n-2];
            a[n-2]=a[n-1];
            a[n-1]=t;
        }
    }
    else
    {
        for(int i=0;i<n-1;i++)
        {
            int max=i;
            for(int j=i+1;j<n;j++)
            {
                if(a[j]>a[max])    max=j;
            }
            if(max==i)   continue;
            int t=a[i];
            a[i]=a[max];
            a[max]=t;
            break;
        }
    }
    for(int i=0;i<n;i++)    cout<<a[i]<<" ";
}